# Fremix
=================

A fast, fluid & modern front-end framework combining the best of foundation for apps and sites by ZURB

------------------

**Status** : In Development

**Release** : dev

[Insert Badges Here]

----------------------

<img align="right" src="libs/media/images/FREMIX-ICON-300.png">

## Contents
 - [About](#about)
 - [Demo](#demo)
 - [Features](#features)
 - [Requirements](#requirements)
 - [Installation](#install)
 - [Documentation](#docs)
 - [Support & Contributing](#support)
 - [Release History](#release)
 - [License](#license)
  
#### About <a name="about"></a>
----------------------
 
Foundation for Sites and Foundation for apps are both great front-end frameworks but with thier pros and cons.
 
What if wanted to build a site with notifications in or an app with a topbar these things are not possible as 
standard due to the well known fact JQuery and AngularJs just dont play nice. Enter Foundation Remix or FREMIX for 
short ive taken both frameworks and written directives for foundation sites components; well im getting there.
  
#### Demo <a name="demo"></a>
----------------------
  
Coming Soon For the moment download and build this repo
  
#### Features <a name="features"></a>
----------------------
#### Requirements <a name="requirements"></a>
----------------------

- **NodeJs** | Installed from their website
    - As part of the node packages we also install gulp, bower & bower-installer globally 
- **Git** | Windows users checkout rails installer or github for windows

#### Installation <a name="install"></a>
----------------------

This Installation guide is subject to change mainly for the release of our global cli and separation of the demo app into and external repo

- **Clone This Repo then move into the project**
```bash
git clone https://github.com/Relution-Developments/fremix.git && cd fremix
```

- **Install our NodeJs Global Dependencies**
```bash
npm install -g gulp bower bower-installer
// On Mac or Linux Based Systems sudo may be required
// -g is the flag for Global
```  


- **Now let nodeJs install the rest of our dependencies**  
```bash
// On Windows
npm install 
// On Mac or Linux Based Systems sudo may be required
sudo npm install
```

#### Documentation <a name="docs"></a>
----------------------

Still a WIP current docs are stored as the demo app but will put more on wiki eventually

#### Supporting & Contributing <a name="support"></a>
----------------------

We love the idea of community! and open source software is brilliant and we always want to hear from users, 
whether reporting bugs, suggesting new features or even add features themselves.

**Reporting Bugs**

*When Writing about the bugs you find please keep these few pointers in mind.*

 - **Be descriptive.** If you can, upload a screenshot of problem you're having, or copy and paste any JavaScript or command line errors you encounter. Being detailed will help us hone in on the problem faster.
 - **Post your code.** It's very helpful to see any HTML, Sass, or JavaScript you've written that you think may be causing the problem. In some cases, we might be able to fix your problem just by fixing your code.
 - **Help us recreate it.** If your problem is complex, tell us the steps needed to recreate the issue. Sometimes we need to see the problem for ourselves, in our own web browsers, so we can more easily debug it.
 
 *PROPOSED* Once we receive an issue we will then post it to our trello board were the progress will can be tracked, If we require more information this will also be were we ask for it.
 
**Submiting Pull Requests**
 
 If you think you can solve an issue yourself, or want to implement a new feature, go for it!
 Just Please follow these guidelines to make what we would call the perfect pull request.
 
  - **Test, test, and test.** Fremix could potentially be used by thousands and thousands of designers and developers, 
  so making sure your changes work in every browser is important! FRemix will be officially supported on:
     - Newest Chrome
     - Newest Firefox
     - Safari 7+
     - Internet Explorer 10+
     - Mobile Safari 7+
     - Android Browser 4+
     
#### Release History <a name="release"></a>
----------------------

- Development Version - Untagged 

#### Licence <a name="licence"></a>
----------------------

Fremix is released under the MIT License

The MIT License (MIT)

Copyright (c) 2016 Relution Developments

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, 
and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.