// Fremix Docs | Application script
(function () {
    'use strict';

    angular.module('docs', [
            'fremix',
            'hljs'

        ])
        .config(config)
        .run(run)
    ;

    config.$inject = ['$urlRouterProvider', '$locationProvider'];

    function config($urlProvider, $locationProvider) {
        $urlProvider.otherwise('/');

        $locationProvider.html5Mode({
            enabled: false,
            requireBase: false
        });

        $locationProvider.hashPrefix('!');
    }


    function run() {
        FastClick.attach(document.body);
    }

})();

